net.sf.jasperreports.components.table.util

## Class TableUtil

- java.lang.Object
- - net.sf.jasperreports.components.table.util.TableUtil

-     public class TableUtil
      extends java.lang.Object

  Version:
    $Id: TableUtil.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Veaceslav Chicu (schicu@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLUMN_DETAIL`
    `static int` | `COLUMN_FOOTER`
    `static int` | `COLUMN_GROUP_FOOTER`
    `static int` | `COLUMN_GROUP_HEADER`
    `static int` | `COLUMN_HEADER`
    `static int` | `TABLE_FOOTER`
    `static int` | `TABLE_HEADER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableUtil(TableComponent table, JRReport report)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<BaseColumn>` | `getAllColumns(java.util.List<BaseColumn> cols)`
    `static java.util.List<BaseColumn>` | `getAllColumns(TableComponent table)`
    `java.awt.Rectangle` | `getBounds(int width, Cell cell, BaseColumn col)`
    `static Cell` | `getCell(BaseColumn bc, int type, java.lang.String grName)`
    `java.util.Map<Cell,java.awt.Rectangle>` | `getCellBounds()`
    `static JRTextField` | `getCellDetailTextElement(Cell cell, boolean oneElementPerCell)` Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.
    `static <T extends JRElement> T` | `getCellElement(java.lang.Class<T> type, BaseColumn column, int sectionType, java.lang.String groupName, TableComponent table)`
    `static <T extends JRElement> T` | `getCellElement(java.lang.Class<T> type, Cell cell, boolean oneElementPerCell)`
    `static JRDesignTextElement` | `getCellTextElement(Cell cell, boolean oneElementPerCell)` Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.
    `static JRTextField` | `getColumnDetailTextElement(Column column)` Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.
    `static ColumnGroup` | `getColumnGroupForColumn(BaseColumn column, java.util.List<BaseColumn> columns)`
    `static JRDesignTextElement` | `getColumnHeaderTextElement(StandardColumn column)` Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.
    `static int` | `getColumnIndex(Column column, TableComponent table)`
    `java.util.List<?>` | `getGroupList()`
    `static java.util.List<?>` | `getGroupList(TableComponent table, JRReport report)`
    `static java.util.List<ColumnGroup>` | `getHierarchicalColumnGroupsForColumn(BaseColumn column, java.util.List<BaseColumn> columns, TableComponent table)`
    `static boolean` | `hasSingleChunkExpression(JRTextField textField)`
    `void` | `init(TableComponent table)`
    `static boolean` | `isFilterable(JRTextField textField)`
    `void` | `refresh()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_HEADER

          public static final int TABLE_HEADER

      See Also:
        Constant Field Values

    - #### TABLE_FOOTER

          public static final int TABLE_FOOTER

      See Also:
        Constant Field Values

    - #### COLUMN_HEADER

          public static final int COLUMN_HEADER

      See Also:
        Constant Field Values

    - #### COLUMN_FOOTER

          public static final int COLUMN_FOOTER

      See Also:
        Constant Field Values

    - #### COLUMN_DETAIL

          public static final int COLUMN_DETAIL

      See Also:
        Constant Field Values

    - #### COLUMN_GROUP_HEADER

          public static final int COLUMN_GROUP_HEADER

      See Also:
        Constant Field Values

    - #### COLUMN_GROUP_FOOTER

          public static final int COLUMN_GROUP_FOOTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TableUtil

          public TableUtil(TableComponent table,
                   JRReport report)

  - ### Method Detail

    - #### getCellBounds

          public java.util.Map<Cell,java.awt.Rectangle> getCellBounds()

    - #### refresh

          public void refresh()

    - #### init

          public void init(TableComponent table)

    - #### getAllColumns

          public static java.util.List<BaseColumn> getAllColumns(TableComponent table)

    - #### getAllColumns

          public static java.util.List<BaseColumn> getAllColumns(java.util.List<BaseColumn> cols)

    - #### getBounds

          public java.awt.Rectangle getBounds(int width,
                                     Cell cell,
                                     BaseColumn col)

    - #### getGroupList

          public java.util.List<?> getGroupList()

    - #### getGroupList

          public static java.util.List<?> getGroupList(TableComponent table,
                                       JRReport report)

    - #### getCell

          public static Cell getCell(BaseColumn bc,
                     int type,
                     java.lang.String grName)

    - #### getColumnGroupForColumn

          public static ColumnGroup getColumnGroupForColumn(BaseColumn column,
                                            java.util.List<BaseColumn> columns)

    - #### getColumnHeaderTextElement

          public static JRDesignTextElement getColumnHeaderTextElement(StandardColumn column)

      Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.

    - #### getCellTextElement

          public static JRDesignTextElement getCellTextElement(Cell cell,
                                               boolean oneElementPerCell)

      Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.

    - #### getColumnDetailTextElement

          public static JRTextField getColumnDetailTextElement(Column column)

      Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.

    - #### getCellDetailTextElement

          public static JRTextField getCellDetailTextElement(Cell cell,
                                             boolean oneElementPerCell)

      Deprecated. Replaced by `getCellElement(Class, Cell, boolean)`.

    - #### getCellElement

          public static <T extends JRElement> T getCellElement(java.lang.Class<T> type,
                                               Cell cell,
                                               boolean oneElementPerCell)

    - #### isFilterable

          public static boolean isFilterable(JRTextField textField)

    - #### hasSingleChunkExpression

          public static boolean hasSingleChunkExpression(JRTextField textField)

    - #### getColumnIndex

          public static int getColumnIndex(Column column,
                           TableComponent table)

    - #### getHierarchicalColumnGroupsForColumn

          public static java.util.List<ColumnGroup> getHierarchicalColumnGroupsForColumn(BaseColumn column,
                                                                         java.util.List<BaseColumn> columns,
                                                                         TableComponent table)

    - #### getCellElement

          public static <T extends JRElement> T getCellElement(java.lang.Class<T> type,
                                               BaseColumn column,
                                               int sectionType,
                                               java.lang.String groupName,
                                               TableComponent table)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com